PIC2GRAPH(1)

NAME
pic2graph - convert a PIC diagram into a cropped image

SYNOPSIS
pic2graph [-unsafe] [-format output-format] [-eqn delimiters] [convert-arguments]
pic2graph --help
pic2graph -v
pic2graph --version

DESCRIPTION
pic2graph reads a pic(1) program from the standard input and writes an image file, by default in Portable Network Graphics (PNG) format, to the standard output. It furthermore translates eqn(1) constructs, so it can be used for generating images of mathematical formulae.

The input PIC code should not be wrapped with the .PS and .PE macros that normally guard it within groff(1) documents.

Arguments not recognized by pic2graph are passed to the ImageMagick or GraphicsMagick program convert(1). By specifying these, you can give your image a border, set the image's pixel density, or perform other useful transformations.

The output image is clipped using convert's -trim option to the smallest possible bounding box that contains all the black pixels.

OPTIONS

-eqn delimiters
    Use delimiters as the opening and closing characters that delimit eqn directives; the default is “$$”. The option argument delimiters should be a two-character string, but an empty string ("") is accepted as a directive to disable eqn processing.

-format output-format
    Write the image in output-format, which must be understood by convert; the default is PNG.

--help
    Display a usage message and exit.

-unsafe
    Run groff in unsafe mode, enabling the PIC command sh to execute arbitrary Unix shell commands. The groff default is to forbid this.

-v
--version
    Display version information and exit.

ENVIRONMENT

GROFF_TMPDIR
TMPDIR
TMP
TEMP
    These environment variables are searched in the given order to determine the directory where temporary files will be created. If none are set, /tmp is used.

AUTHORS
pic2graph was written by Eric S. Raymond (esr@thyrsus.com), based on a recipe by W. Richard Stevens.

SEE ALSO
W. Richard Stevens, Turning PIC into HTML (http://www.kohala.com/start/troff/pic2html.html)

eqn2graph(1), grap2graph(1), pic(1), eqn(1), groff(1), convert(1)